<?php


use Zeedhi\Framework\DependencyInjection\InstanceManager;

ini_set("memory_limit", "1024M");
ini_set('max_execution_time', '3600');
require_once __DIR__.'/../bootstrap/bootstrap.php';
$value = json_decode(file_get_contents('../json/data.json'), true);
$nrorg = '2209';
$collection = '5f031794dc5f925c114afb47';
$session = \Teknisa\Libs\Util\InstanceProvider::getSession();
$session->set('NRORG', $nrorg);
$session->set('organizationId', $nrorg);
$colunas = array('DSDATA');
$dataType =  new \Zeedhi\Framework\DataSource\Manager\Mongo\Types\DateType();
/** @var \Service\Manager\Mongo\Manager $organizationMongoManager */
$organizationMongoManager = InstanceManager::getInstance()->getService('organizationMongoManager');
/** @var \Util\Environment $envoronment */
$envoronment = InstanceManager::getInstance()->getService('environment');
$envoronment->setOrganizationId($nrorg);
foreach ( $value as &$item) {
    $item['NRORG'] = intval($nrorg);
    unset($item[ "_id"]);
    foreach ($colunas as $coluna) {
        if(!empty($item[$coluna])){
            $item[$coluna] = $dataType->convertToDatabaseValue($item[$coluna]);
        }
    }
}
$organizationMongoManager->mongo->dropCollection($collection);
$organizationMongoManager->mongo->insertMany($collection,$value);