import Vue from 'vue';

const Messages = {
    SUCCESS_SAVE_DEAFULT: 'Registro(s) salvo(s) com sucesso.',
    SUCCESS_DELETE_DEAFULT: 'Registro(s) excluído(s) com sucesso.',

    WARNING_NOT_CONTRACTED_PRODUCT_BY_CLIENT: 'O produto não está contratado para esse cliente.',

    ERROR_DEAFULT: 'Ocorreu um erro inesperado. Contate um administrador',
	ERROR_EQUAL_SLA_PARAMETERS: 'Não pode existir duas parametrizações com categoria e controle iguais para um mesmo cliente.',
    ERROR_DEFAULT_SLA_PARAM: 'Não é permitido excluir parametrização SLA padrão Teknisa!',
    ERROR_DEFAULT_SLA_ALERT: 'Não é permitido excluir alerta SLA padrão Teknisa!',
    ERROR_FILE_EXPECTED: 'É necessário inserir um arquivo!',
    ERROR_FILE_TYPE: 'Arquivo inválido!',

	INFO_NOT_ACTION_ISSUE: 'Não há ações para esse chamado.',
	ALERT_CLOSED_CALL_RICH_CLIENT: 'Confirma o encerramento do chamado?',

    DELETE_DEFAULT: 'Deseja realmente excluir o(s) registro(s)?',

	MSG_DUPLICATE_LABEL_SAVE: 'Label já existente. Favor alterar a label para a mesma ser salva.',
	MSG_DUPLICATE_LABEL_IMPORT_MENU: 'Existe labels duplicadas no menu importado. É necessário que não exista nenhuma label repetida!',

    CANNOT_DELETE_WIDGET: "Não é possível apagar a visão \"__widget__\" pois ela está relacionada com a(s) dashboard(s): \"__view__\".",
    CANNOT_DELETE_INDICATOR: "Não é possível apagar o indicador \"__indicator__\" pois ele está relacionado com a(s) dashboard(s): \"__view__\".",
    CANNOT_DELETE_DATASOURCE: "Não é possível apagar a fonte de dados \"__dataSource__\" pois ela está relacionada com o(s) indicador(es): \"__indicator__\".",
};

Vue.prototype.$messages = Messages;
export default Messages;
